Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IPolyline

    java.lang.Object
      igeo.gui.IPolyline

    public class IPolyline

extends java.lang.Object

Polyline geometry to assist graphic classes of curves and surfaces.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`boolean` | `closed`
`IVec[]` | `pts`

Constructor Summary
`IPolyline()`
`IPolyline(int num)`
`IPolyline(IVec[] pts)`
`IPolyline(IVecI pt1, IVecI pt2)`
`IPolyline(IVec pt1, IVec pt2)`

Method Summary
`void` | `append(IPolyline l)`
`void` | `append(IPolyline l, boolean reverseDir)`
`void` | `append(IVec[] pts2)`
`void` | `append(IVec[] pts2, boolean reverseDir)`
`void` | `close()`
`IVec[]` | `get()`
`IVec` | `get(int i)`
`boolean` | `isClosed()`
`int` | `num()`
`void` | `open()`
`void` | `set(int i, IVec pt)`
`void` | `set(int i, IVecI pt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pts

    public IVec[] pts

### closed

    public boolean closed

Constructor Detail

### IPolyline

    public IPolyline()

### IPolyline

    public IPolyline(int num)

### IPolyline

    public IPolyline(IVec[] pts)

### IPolyline

    public IPolyline(IVecI pt1,
                     IVecI pt2)

### IPolyline

    public IPolyline(IVec pt1,
                     IVec pt2)

Method Detail

### num

    public int num()

### get

    public IVec get(int i)

### get

    public IVec[] get()

### set

    public void set(int i,
                    IVecI pt)

### set

    public void set(int i,
                    IVec pt)

### isClosed

    public boolean isClosed()

### close

    public void close()

### open

    public void open()

### append

    public void append(IPolyline l)

### append

    public void append(IPolyline l,
                       boolean reverseDir)

### append

    public void append(IVec[] pts2)

### append

    public void append(IVec[] pts2,
                       boolean reverseDir)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD